import httpRequest from '@/utils/axios'

// 分类列表
export function categories(params) {
  return httpRequest.get('/api/opera/v2/training/categories', { params })
}

// 添加分类
export function addCategory(data) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.post('/api/opera/v2/training/category', data, { headers })
}

// 删除分类
export function deleteCategory(id, params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.delete(`/api/opera/v2/training/${id}/category`, { params }, { headers })
}

// 更新分类
export function updateCategory(id, data) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.put(`/api/opera/v2/training/${id}/category`, data, { headers })
}
