import Vue from 'vue'
import router from './router'
import store from './store'
import App from './app.vue'
import './style.scss'
import ElementUI from 'element-ui'

import BeforeEnter from './utils/beforeEnter'
const before = new BeforeEnter()

Vue.use(ElementUI)

Vue.prototype.openLoading = function(HTMLElement = 'HTMLElement') {
  const loading = this.$loading({
    lock: true,
    text: '正在努力加载中...',
    spinner: 'el-icon-loading',
    background: 'rgba(0, 0, 0, 0.3)',
    target: HTMLElement,
    // target: '.sub-main',
    body: true,
    customClass: 'mask'
  })
  setTimeout(function () {
    loading.close()
  }, 5000)
  return loading
}

/* 导航守卫 */
router.beforeEach((to, from, next) => {
  before.update(to, from, next)
})

Vue.prototype.msgCenter = new Vue()

new Vue({
  store,
  router,
  render: h => h(App)
}).$mount('#app')
