import Layout from '@/components/layout'

// 案例-用户分组
const userGroup = [
  /* 首页 */
  { path: '/yhfq', redirect: '/yhfq/albj' },
  { path: '/yhfq/albj', name: 'case-list', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/albj') },
  { path: '/yhfq/albj/detail', name: 'case-detail', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/albj/detail') },
  { path: '/yhfq/albj/add', name: 'case-add', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/albj/add') },
  { path: '/yhfq/groups', name: 'group-list', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/cgroup/index') },
  { path: '/yhfq/groups/add', name: 'group-add', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/cgroup/add') },
  { path: '/yhfq/groups/edit', name: 'group-edit', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/cgroup/edit') },
  { path: '/yhfq/reach', name: 'reach-list', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/reach/index') },
  { path: '/albj', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/albj') },
  { path: '/yhfq/alfx', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/alfx') },
  { path: '/yhfq/yhqfx', component: () => import(/* webpackChunkName: "usergroup" */ '@/pages/yhfq/yhqfx') },
  /* 版本2：首页 */
  { path: '/training', redirect: '/tranning/categories' },
  { path: '/training/categories', name: 'category', component: () => import('@/pages/v2/categories/category') },
  { path: '/training/cases', name: 'cases', component: () => import('@/pages/v2/cases/index') },
  { path: '/training/cases/update', name: 'cases_update', component: () => import('@/pages/v2/cases/update') },
  { path: '/training/characteristics', name: 'characteristics', component: () => import('@/pages/v2/characteristics/index') },
  { path: '/training/characteristics/update', name: 'characteristics_update', component: () => import('@/pages/v2/characteristics/update') },
  { path: '/training/reachschemes', name: 'reach_schemes', component: () => import('@/pages/v2/reachschemes/index') },
  { path: '/training/reachschemes/update', name: 'reach_schemes_update', component: () => import('@/pages/v2/reachschemes/update') },
  { path: '/training/useruseconfigs', name: 'useruseconfigs', component: () => import('@/pages/v2/useruseconfigs/index') },
  { path: '/training/useruseconfigs/update', name: 'useruseconfigs_update', component: () => import('@/pages/v2/useruseconfigs/update') }
]

export default [
  { path: '*', redirect: '/training/categories' },
  { path: '/', redirect: '/training/categories' },
  {
    path: '/',
    component: Layout,
    children: [
      /* 首页 */
      // { path: '/index', component: () => import(/* webpackChunkName: "feedback" */ '@/pages/home') },
      /* 修改密码 */
      {
        path: '/account/password',
        component: () => import(/* webpackChunkName: "account" */ '@/pages/account/password')
      },
      {
        path: '/triggerEditor',
        component: () => import(/* webpackChunkName: "triggerEditor" */ '@/pages/triggerEditor/list')
      },
      {
        path: '/characteristicsEditor',
        component: () => import(/* webpackChunkName: "triggerEditor" */ '@/pages/characteristicsEditor/index')
      },
      ...userGroup
    ]
  }
]
